clear
% Reading Curvature about y vs. Riser coordinate
fileID=fopen('6GLPLOTs_y.mpf','r');
i=3;
ne=2300;
fgets(fileID);
fgets(fileID);
fscanf(fileID,'%s',[1,6]);
t=fscanf(fileID,'%f',1);
fgets(fileID);
fgets(fileID);
fgets(fileID);
fgets(fileID);
fgets(fileID);
fgets(fileID);
fgets(fileID,6);
Y(:,1:2)=fscanf(fileID,'%e',[2,ne])';
while t<=45
fscanf(fileID,'%s',[1,6]);
t=fscanf(fileID,'%f',1);
fgets(fileID);
fgets(fileID);
fgets(fileID);
fgets(fileID);
fgets(fileID);
fgets(fileID);
fgets(fileID,6);
Y(:,i:i+1)=fscanf(fileID,'%e',[2,ne])';
Y(:,i)=[];
i=i+1;
t=t+0.00001;
end
fclose(fileID);

% Reading Curvature about z vs. Riser coordinate
fileID=fopen('6GLPLOTs_z.mpf','r');
s=0;
i=3;
fgets(fileID);
fgets(fileID);fscanf(fileID,'%s',[1,6]);
t=fscanf(fileID,'%f',1);
fgets(fileID);
fgets(fileID);
fgets(fileID);
fgets(fileID);
fgets(fileID);
fgets(fileID);
T=fgets(fileID,6);
Z(:,1:2)=fscanf(fileID,'%e',[2,ne])';
while s<=45
fscanf(fileID,'%s',[1,6]);
t(i-1)=fscanf(fileID,'%f',1);
fgets(fileID);
fgets(fileID);
fgets(fileID);
fgets(fileID);
fgets(fileID);
fgets(fileID);
T=fgets(fileID,6);
Z(:,i:i+1)=fscanf(fileID,'%e',[2,ne])';
Z(:,i)=[];
i=i+1;
s=t(end)+0.00001;
end
fclose(fileID);

%Calculating total curvature
S=zeros(size(Y));
S(:,1)=Y(:,1);
for i=1:length(t)
    S(:,i+1)=sqrt(Z(:,i+1).^2+Y(:,i+1).^2);
end

Beta=1.75e-1;
K=1/1.6995;
tc=37;
figure
hold on
plot(S(:,1)',S(:,tc+1)','-','DisplayName','Curvature at buckling')
plot([S(1,1),S(end,1)],[Beta,Beta],'--','DisplayName','Slip Curvature')
plot([S(1,1),S(end,1)],[K,K],'--','DisplayName','Max Allowable Curvature')
hold off

title('Riser 6" DRY STATE (Compipe42)')
xlabel('Coordinat along riser [m]')
ylabel('Total curvature [1/m]')
legend('Location','northeast')
