h%--------------------------------------------------------------------------
%   Dynamic Hiv Analysis Loop Riser 6 Dry State
%--------------------------------------------------------------------------
clear
a=[0.5,1,2,3,4];
u=[0.25,0.50,0.75];
Mname0='R6DcomDHa';
MyFolder2='E:\ANALYSIS\master\riser6dry\Compipe_dyn'; 
Run='running.bat';                                 
RunFile=fullfile(MyFolder2, Run);                   
cmnd='"C:\\Program Files\\Marintek\\Bflex\\bin\\bflex2010" -n ';   
cmnd3='pushd '; 
fr=strrep(MyFolder2, '\', '\\');                    
cmnd4=sprintf('%s %s \n', cmnd3, fr);

for i=1:length(u)
    for j=1:length(a)
        ModelName=[Mname0,num2str(a(j)*10),'u',num2str(u(i)*100)];
        NewFileR=fullfile(MyFolder2, ModelName);
        for k=1:3
            Writh_input_file([NewFileR,'.2bif'],u(i),a(j),k);
            frun = fopen(RunFile, 'wt');                        % Opening batch file for writing in text mode.
            f = strrep(NewFileR, '\', '\\');                    % Replasing \ with \\
            cmnd2=[cmnd, f];                                    % Creating comand line: cmnd +f                                     
                          
            fprintf(frun, cmnd4);
            fprintf(frun, cmnd2);
            fclose(frun);

            !running.bat
            
        end
        
        PostFileName=['Post',ModelName,'.2bpi'];
        Writh_post_file(PostFileName,ModelName);
    end
end