function Writh_input_file(modelname,utilizasion,amplitude,n)

fid=fopen(modelname,'wt');
fprintf(fid,'HEAD COMPIPE42 DYNAMIC HIVE MODEL \n');
fprintf(fid,'HEAD 6" PIPE: WET STATE \n');
fprintf(fid,'HEAD %3.2f CRITICAL TORQUE, %3.1fM AMPLITUDE \n',utilizasion,amplitude);
if n==1
    fprintf(fid,'CONTROL 100     3       2       16       1      1E-6    9.81    STRESSFREE \n');
elseif n==2
    fprintf(fid,'CONTROL 100     3       2       16       1      1E-6    9.81    RESTART 50 \n');
elseif n==3
    fprintf(fid,'CONTROL 100     3       2       16       1      1E-6    9.81    RESTART 4050 \n');
else
    error('Invalid value n')
end

fprintf(fid,'DYNCONT 1       0.0     0.051   -0.05 \n');
fprintf(fid,'TIMECO  5.0 0.1 1.0     201.0   STATIC  AUTO        NONE    ALL     300     5       1E-5 \n');
if n>=2
    fprintf(fid,'TIMECO  45.0    0.01    20.0    201.0   dynamic AUTO        none    ALL     20      5       1e-5 \n');
    if n==3
    fprintf(fid,'TIMECO  75.0    0.01     1.0    201.0   dynamic AUTO        none    ALL     20      5       1e-5 \n');
    end
end

fprintf(fid,'VISRES integration  1       Vcondis-y vcondis-z vconfor-y sigma-xx vconfor-z \n');
fprintf(fid,'NOCOOR COORDINATES      1       0     0   -1999.894953 \n');
fprintf(fid,'REPEAT 560 1 1 0 0 \n');
fprintf(fid,'NOCOOR COORDINATES    561     559.2   0   -1999.894953 \n');
fprintf(fid,'REPEAT 770 1 0.2 0 0 \n');
fprintf(fid,'NOCOOR COORDINATES    1331    715     0   -1999.894953 \n');
fprintf(fid,'REPEAT 978 1 2 0 0 \n');
fprintf(fid,'ELCON   PIPE1   COMPIPE42      PIPEMAT1      1       1       2 \n');
fprintf(fid,'REPEAT 559 1 1 \n');
fprintf(fid,'ELCON   PIPE2   COMPIPE42      PIPEMAT1      560     560     561 \n');
fprintf(fid,'REPEAT 770 1 1 \n');
fprintf(fid,'ELCON   PIPE3   COMPIPE42      PIPEMAT1      1330    1330    1331 \n');
fprintf(fid,'REPEAT 978 1 1 \n');
fprintf(fid,'ELCON  SEABED CONT126   COSURF1    10001     1 \n');
fprintf(fid,'REPEAT 2308 1 1 \n');
fprintf(fid,'NOCOOR COORDINATES    20001      0   -200   0 \n');
fprintf(fid,' 20100    2670  -200   0 \n');
fprintf(fid,'REPEAT 3 100 0 200.0 0 \n');
fprintf(fid,'ELCON  SEA1   SEA150   SEAMAT  20001      20001 20002 20102 20101 \n');
fprintf(fid,'REPEAT 99 1 1 \n');
fprintf(fid,'REPEAT 2 99 100 \n');
fprintf(fid,'ELORIENT COORDINATES    1             0.0     1.000    -1999.894953 \n');
fprintf(fid,'REPEAT 2307 1 0 0 0 \n');
fprintf(fid,'ELORIENT EULERANGLE    10001           0.000    0.000      0.0 \n');
fprintf(fid,'REPEAT 2308 1 0 0 0 \n');
fprintf(fid,'ELPROP PIPE1    COMPIPE  0.0875 0.0822  1.0  0.1  2.0   1.0   8.16E1    4.276E1 0.223   0.223   0.5   eltime=5.01 \n');
fprintf(fid,'ELPROP PIPE2    COMPIPE  0.0875 0.0822  1.0  0.1  2.0   1.0   8.16E1    4.276E1 0.223   0.223   0.5   eltime=5.01 \n');
fprintf(fid,'ELPROP PIPE3    COMPIPE  0.0875 0.0822  1.0  0.1  2.0   1.0   8.16E1    4.276E1 0.223   0.223   0.5   eltime=5.01 \n');
fprintf(fid,'BONCON  GLOBAL      1       2 \n');
fprintf(fid,'BONCON  GLOBAL      1       3 \n');
fprintf(fid,'BONCON  GLOBAL   2308       1 \n');
fprintf(fid,'BONCON  GLOBAL   2308       2 \n');
if n==1
    fprintf(fid,'BONCON  GLOBAL   2308       4 \n');
    fprintf(fid,'BONCON  GLOBAL   2308       6 \n');
elseif n==2
    fprintf(fid,'BONCON  GLOBAL      1       1 \n');
    fprintf(fid,'BONCON  GLOBAL      1       4 \n');
    fprintf(fid,'BONCON  GLOBAL      1       6 \n');
    fprintf(fid,'BONCON  GLOBAL   2308       3 \n');
else
    fprintf(fid,'BONCON  GLOBAL      1       1 \n');
    fprintf(fid,'BONCON  GLOBAL      1       4 \n');
    fprintf(fid,'BONCON  GLOBAL      1       6 \n');
    fprintf(fid,'BONCON  GLOBAL   2308       4 \n'); 
    fprintf(fid,'BONCON  GLOBAL   2308       6 \n'); 
end
fprintf(fid,'BONCON   GLOBAL   20001       1 REPEAT 300 1 \n');
fprintf(fid,'BONCON   GLOBAL   20001       2 REPEAT 300 1 \n');
fprintf(fid,'BONCON   GLOBAL   20001       3 REPEAT 300 1 \n');
fprintf(fid,'COSURFPR    COSURF1 "seabed_2000_flat.txt"  3       0.0     0.0   0.0   0.0         100 101 102 \n');
fprintf(fid,'COSUPR        100           0.0      100000.0    soil1 \n');
fprintf(fid,'COSUPR        101           0.0      100000.0    soil1 \n');
fprintf(fid,'COSUPR        102           0.0      100000.0    soil1 \n');
fprintf(fid,'CONTINT SEABED      PIPE1        COSURF1    1     560     5.0   5.0    0.0    60     2 \n');
fprintf(fid,'CONTINT SEA1        SEA1         PIPE1 \n');
fprintf(fid,'CONTINT SEABED      PIPE2        COSURF1    561   1330    5.0   5.0    0.0    60     2 \n');
fprintf(fid,'CONTINT SEA1        SEA1         PIPE2 \n');
fprintf(fid,'CONTINT SEABED      PIPE3        COSURF1    1331  2308    5.0   5.0    0.0    60     2 \n');
fprintf(fid,'CONTINT SEA1        SEA1         PIPE3 \n');
fprintf(fid,'PELOAD  100         100 \n');
fprintf(fid,'CLOAD 150   1    1  -1E3 \n');
fprintf(fid,'WAVELO SEA1   REGULAR 100   100   -1000 0  0.000 10.0 0.0  2000   0 \n');
if n==1
    fprintf(fid,'CONSTR PDISP GLOBAL 2308    3 2000.0  300 \n');
elseif n==2
    fprintf(fid,'CONSTR PDISP GLOBAL 2308    6  %f     400 \n',utilizasion*295.851);
else
    fprintf(fid,'CONSTR PDISP GLOBAL 2308    3   %f    500 \n',amplitude);
end

fprintf(fid,'THIST 100    0.0    0.1 \n');
fprintf(fid,'0.1    1.0 \n');
fprintf(fid,'5.0    1.0 \n');
fprintf(fid,'THIST 150    0.0    50.0 \n');
fprintf(fid,'5.0    1.0 \n');
fprintf(fid,'THIST 300    0.0    0.01 \n');
fprintf(fid,'5.0    1.0 \n');
fprintf(fid,'THIST_r 400 5.02 45.0 rampcos 1.0 \n');
fprintf(fid,'THIST_F 500    "histfdata.txt" \n');
fprintf(fid,'MATERIAL PIPEMAT1 RESULTANT  0.20   0  1.17E-5 0      0      0    1   1   1   1  1  0    0     0     0    0    AXMAT   TORMAT  BENDMAT \n');
fprintf(fid,'MATERIAL  AXMAT     hycurve         -100        -6.33217E10 \n');
fprintf(fid,'100         6.33217E10 \n');
fprintf(fid,'MATERIAL  TORMAT    hycurve         -100        -1.58915E8 \n');
fprintf(fid,'100         1.58915E8 \n');
fprintf(fid,'MATERIAL  BENDMAT   epcurve   1     0.0         0.0  \n');
fprintf(fid,'1.13E-3     1.22E4 \n');
fprintf(fid,' 2.82e-2     1.52E4 \n');
fprintf(fid,'3.93e-2     1.58E4 \n');
fprintf(fid,'3.40e-1     2.18e4 \n');
fprintf(fid,'MATERIAL SEAMAT SEA 1.024E3 \n');
fprintf(fid,'MATERIAL  soil1     CONTACT   0.4     1.0  soilx   soily   soilz \n');
fprintf(fid,'MATERIAL  soilx    epcurve  1      0.00      0.0 \n');
fprintf(fid,'  0.005     1.0 \n');
fprintf(fid,'2.00      1.01 \n');
fprintf(fid,'MATERIAL  soily    epcurve  1      0.00      0.0 \n');
fprintf(fid,'0.02      1.0 \n');
fprintf(fid,'2.00      1.01 \n');
fprintf(fid,'MATERIAL  soilz     hycurve  -2000.0     -130E6 \n');
fprintf(fid,'2000.0      130E6 \n');

fclose(fid);

end
