fileID=fopen('Riser14M.mpf','r');
for i=1:13
fgets(fileID);
end
M=fscanf(fileID,'%e',[2,inf])';
fclose(fileID);

fileID=fopen('Riser14G.mpf','r');
for i=1:13
fgets(fileID);
end
g=fscanf(fileID,'%e',[2,inf])';
fclose(fileID);

[gmax,idx]=max(g(:,2));
l=2500;
EI=4.21e5;
EI_I=2.26e7;
G=2*sqrt(EI_I*gmax*1e3+(EI_I*pi/l)^2)*1e-3;
G2=2*sqrt(EI*3e3+(EI*pi/l)^2)*1e-3;
figure
hold on
plot(M(:,1),M(:,2))
plot([M(1,1),M(end,1)],[G,G],'--')
plot([M(1,1),M(end,1)],[G2,G2],'--')
title('Riser 14" WET STATE (Compipe42)')
xlabel('Impost rotation [rad]')
ylabel('Moment about X [kNm]')
legend('BFLEX2010',['Greenhill T=',num2str(gmax),'kN, EI_I'],'Greenhill T_0, EI_s','Location','northwest')
hold off