clear
fileID=fopen('Riser6M.mpf','r');
for i=1:13
fgets(fileID);
end
M=fscanf(fileID,'%e',[2,inf])';
fclose(fileID);

fileID=fopen('Riser6M_2.mpf','r');
for i=1:13
fgets(fileID);
end
M2=fscanf(fileID,'%e',[2,inf])';
fclose(fileID);

fileID=fopen('Riser6G.mpf','r');
for i=1:13
fgets(fileID);
end
g=fscanf(fileID,'%e',[2,inf])';
fclose(fileID);

[gmax,idx]=max(g(:,2));
l=2500;
EI=2.70e6;
G=2*sqrt(EI*gmax*1e3+(EI*pi/l)^2)*1e-3;
G2=2*sqrt(EI*1e3+(EI*pi/l)^2)*1e-3;
figure
hold on
plot(M(:,1),M(:,2));
plot([M(1,1),M(end,1)],[G,G],'--');
plot([M(1,1),M(end,1)],[G2,G2],'--');
title('Riser 6" DRY STATE (Compipe42)')
xlabel('Impost rotation [rad]')
ylabel('Moment about X [kNm]')
legend('BFLEX2010',['Greenhill T=',num2str(gmax),'kN'],'Greenhill T_0','Location','northwest')
hold off

figure
hold on
plot(M2(:,1),M2(:,2));
plot([M(1,1),M(end,1)],[G,G],'--');
plot([M(1,1),M(end,1)],[G2,G2],'--');
title('Riser 6" DRY STATE (Compipe42)')
xlabel('Impost rotation [rad]')
ylabel('Moment about X [kNm]')
legend('BFLEX2010',['Greenhill T=',num2str(gmax),'kN'],'Greenhill T_0','Location','northwest')
hold off

[v,indx]=max(M2(:,2));
disp(indx)