clear
ModelName5='IPPLOT_A';
R=6; % Rr strrelse [in]
state='WET';
ElementT='Hshear363'; % Element type
TitleLine=['Riser ',num2str(R),'" ',state,' STATE (',ElementT,') '];
sigma=3.15468e7;

figure
hold on
M4=ReadEP(['Ten1_',ModelName5,'2_H400.mpf'],6);
plot(M4(:,1),abs(M4(:,2)),'DisplayName','Tensile layer 1, A=2m')
M4=ReadEP(['Ten2_',ModelName5,'2_H400.mpf'],6);
plot(M4(:,1),abs(M4(:,2)),'DisplayName','Tensile layer 2, A=2m')

plot([M4(1,1),M4(end,1)],[sigma,sigma]*1e-6,'--k','DisplayName','Critical Stress')

title(TitleLine)
xlabel('Time [s]')
ylabel('Axial Wire Stress [MPa]')
legend('Location','best')
hold off

figure
hold on
M4=ReadEP(['Ten1_',ModelName5,'4_H400.mpf'],6);
plot(M4(:,1),abs(M4(:,2)),'DisplayName','Tensile layer 1, A=4m')
M4=ReadEP(['Ten2_',ModelName5,'4_H400.mpf'],6);
plot(M4(:,1),abs(M4(:,2)),'DisplayName','Tensile layer 2, A=4m')

plot([M4(1,1),M4(end,1)],[sigma,sigma]*1e-6,'--k','DisplayName','Critical Stress')

title(TitleLine)
xlabel('Time [s]')
ylabel('Axial Wire Stress [MPa]')
legend('Location','best')
hold off

f



